Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 275695 - [TRACKER] Stabilize net-libs/gnutls-2.8.3 [SECURITY FIX]
Summary: [TRACKER] Stabilize net-libs/gnutls-2.8.3 [SECURITY FIX]
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High enhancement (vote)
Assignee: Crypto team [DISABLED]
URL:
Whiteboard: 10.0 release
Keywords: STABLEREQ, Tracker
Depends on: 274181 274335 275685 275699 275700 275702 275703 275705 275706 279426 281220 281222 281249 283800
Blocks: CVE-2009-2730 281827
  Show dependency tree
 
Reported: 2009-06-28 15:47 UTC by Arfrever Frehtes Taifersar Arahesis (RETIRED)
Modified: 2009-10-24 15:27 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Arfrever Frehtes Taifersar Arahesis (RETIRED) gentoo-dev 2009-06-28 15:47:15 UTC
This bug will be used for stabilization of GnuTLS 2.8.*.
Comment 1 Arfrever Frehtes Taifersar Arahesis (RETIRED) gentoo-dev 2009-08-12 18:33:39 UTC
Please stabilize net-libs/gnutls-2.8.2 due to security bug #281224.
Comment 2 Robert Buchholz (RETIRED) gentoo-dev 2009-08-12 20:36:14 UTC
To avoid bugspam (?) I'll leave arches on here to especially note the other stable bugs on the TODO stack, but maintainer need to fix bug 281249 before this hits stable (and change stable target)
Comment 3 Arfrever Frehtes Taifersar Arahesis (RETIRED) gentoo-dev 2009-08-13 01:07:51 UTC
Please stabilize net-libs/gnutls-2.8.2-r1.
Comment 4 Arfrever Frehtes Taifersar Arahesis (RETIRED) gentoo-dev 2009-08-13 16:16:18 UTC
Please stabilize net-libs/gnutls-2.8.3.
Comment 5 Tobias Klausmann gentoo-dev 2009-08-25 19:16:38 UTC
Stable on alpha.
Comment 6 Brent Baude (RETIRED) gentoo-dev 2009-09-12 15:55:33 UTC
Just a slight concern for #279426 related to this bug.  Lftp should be done first I think, but it depends on libtool-2.2 and that bug does not seem ready to go.  Thoughts?  Rather proceed on gnutls and catchup-up later?
Comment 7 Arfrever Frehtes Taifersar Arahesis (RETIRED) gentoo-dev 2009-09-12 16:05:17 UTC
(In reply to comment #6)
> Rather proceed on gnutls and catchup-up later?

Yes.
Comment 8 Brent Baude (RETIRED) gentoo-dev 2009-09-13 12:46:04 UTC
Marked 2.8.3 ppc64 stable but per commment 3, I dont see any 2.8.2 ebuilds in cvs anymore.
Comment 9 Christian Faulhammer (RETIRED) gentoo-dev 2009-09-14 21:04:08 UTC
x86 stable
Comment 10 Jeroen Roovers gentoo-dev 2009-09-15 01:00:25 UTC
Stable for HPPA.
Comment 11 Olivier Crete (RETIRED) gentoo-dev 2009-09-16 02:52:30 UTC
amd64 stable
Comment 12 Dustin Polke 2009-09-16 09:10:37 UTC
I got this with the update:

QA: install
QA Notice: command not found:

        ./pkcs1-pad: line 27: datefudge: command not found

Is that of any concern?
Comment 13 Arfrever Frehtes Taifersar Arahesis (RETIRED) gentoo-dev 2009-09-16 17:05:42 UTC
(In reply to comment #12)

It should be ignored. datefudge isn't available in Gentoo.

Making check in pkcs1-padding
make[2]: Entering directory `/var/tmp/portage/net-libs/gnutls-2.9.5/work/gnutls-2.9.5/tests/pkcs1-padding'
make  pkcs1-pad
make[3]: Entering directory `/var/tmp/portage/net-libs/gnutls-2.9.5/work/gnutls-2.9.5/tests/pkcs1-padding'
make[3]: Nothing to be done for `pkcs1-pad'.
make[3]: Leaving directory `/var/tmp/portage/net-libs/gnutls-2.9.5/work/gnutls-2.9.5/tests/pkcs1-padding'
make  check-TESTS
make[3]: Entering directory `/var/tmp/portage/net-libs/gnutls-2.9.5/work/gnutls-2.9.5/tests/pkcs1-padding'
./pkcs1-pad: line 27: datefudge: command not found
Cannot fake timestamps, please install datefudge...
SKIP: pkcs1-pad
====================
All 0 tests passed
(1 test was not run)
====================
make[3]: Leaving directory `/var/tmp/portage/net-libs/gnutls-2.9.5/work/gnutls-2.9.5/tests/pkcs1-padding'
make[2]: Leaving directory `/var/tmp/portage/net-libs/gnutls-2.9.5/work/gnutls-2.9.5/tests/pkcs1-padding'
Comment 14 Markus Meier gentoo-dev 2009-09-19 14:09:31 UTC
arm stable
Comment 15 Raúl Porcel (RETIRED) gentoo-dev 2009-10-23 18:06:08 UTC
ia64/m68k/s390/sh/sparc stable
Comment 16 nixnut (RETIRED) gentoo-dev 2009-10-24 10:07:00 UTC
ppc stable
Comment 17 Arfrever Frehtes Taifersar Arahesis (RETIRED) gentoo-dev 2009-10-24 15:22:02 UTC
(In reply to comment #16)
> ppc stable

Please close bugs when you are the last architecture :) .
Comment 18 nixnut (RETIRED) gentoo-dev 2009-10-24 15:27:30 UTC
Mistook it for a security bug which should not be closed by arch teams